Vulnerabilità: CVE-2020-26274

In SystemInformation (pacchetto npm) prima versione 4.31.1 c’è una vulnerabilità iniezione comando. Il problema è stato risolto nella versione 4.31.1 con un guscio di correzione stringa di servizi igienico-sanitari.


https://github.com/sebhildebrandt/systeminformation/security/advisories/GHSA-m57p-p67h-mq74
https://github.com/sebhildebrandt/systeminformation/security/advisories/GHSA-m57p-p67h-mq74
https://github.com/sebhildebrandt/systeminformation/commit/1faadcbf68f1b1fdd5eb2054f68fc932be32ac99
https://github.com/sebhildebrandt/systeminformation/commit/1faadcbf68f1b1fdd5eb2054f68fc932be32ac99
https://www.npmjs.com/package/systeminformation
https://www.npmjs.com/package/systeminformation
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-26274


E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi